net.dontdrinkandroot.wicket.javascript.jqueryui

## Class JQueryUiScript

- java.lang.Object
- - net.dontdrinkandroot.wicket.javascript.JQueryScript
  - - net.dontdrinkandroot.wicket.javascript.jqueryui.JQueryUiScript

    public class JQueryUiScript
    extends net.dontdrinkandroot.wicket.javascript.JQueryScript

### Field Summary

Fields
`static String` `BUTTON_TEMPLATE`
`static String` `BUTTONSET_TEMPLATE`
`static Integer` `DEFAULT_ANIMATION_DURATION`
`static String` `DEFAULT_EASING_FUNCTION`
`static String` `PROGRESSBAR_TEMPLATE`
`static String` `PROGRESSBAR_VALUE_TEMPLATE`
`static String` `SELECTMENU_TEMPLATE`
`static String` `SLIDER_TEMPLATE`

### Fields inherited from class net.dontdrinkandroot.wicket.javascript.JQueryScript

`ANIMATE_TEMPLATE, CHILDREN_TEMPLATE, CLICK_TEMPLATE, FADEIN_TEMPLATE, FADEOUT_TEMPLATE, FADETOGGLE_TEMPLATE, HIDE_TEMPLATE, HOVER_INTENT_TEMPLATE, KEYPRESS_TEMPLATE, scriptBuffer, SHOW_TEMPLATE, SLIDEDOWN_TEMPLATE, SLIDETOGGLE_TEMPLATE, SLIDEUP_TEMPLATE, TOGGLE_TEMPLATE`

### Constructor Summary

Constructors
Constructor and Description
`JQueryUiScript()`
`JQueryUiScript(org.apache.wicket.Component component)`
`JQueryUiScript(String selector)`

### Method Summary

Methods
`JQueryUiScript` `button()`
`net.dontdrinkandroot.wicket.javascript.JQueryScript` `buttonset()`
`net.dontdrinkandroot.wicket.javascript.JQueryScript` `progressBar()`
`net.dontdrinkandroot.wicket.javascript.JQueryScript` `progressBar(Integer value)`
`net.dontdrinkandroot.wicket.javascript.JQueryScript` `selectMenu()`

### Methods inherited from class net.dontdrinkandroot.wicket.javascript.JQueryScript

`addClass, animate, append, children, click, fadeIn, fadeIn, fadeIn, fadeOut, fadeOut, fadeToggle, fadeToggle, hide, hide, hoverIntent, removeClass, show, show, siblings, slideDown, slideDown, slideToggle, slideToggle, slideUp, slideUp, toggle, toggle, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_ANIMATION_DURATION

    public static Integer DEFAULT_ANIMATION_DURATION

#### DEFAULT_EASING_FUNCTION

    public static String DEFAULT_EASING_FUNCTION

#### BUTTON_TEMPLATE

    public static String BUTTON_TEMPLATE

#### BUTTONSET_TEMPLATE

    public static String BUTTONSET_TEMPLATE

#### SLIDER_TEMPLATE

    public static String SLIDER_TEMPLATE

#### SELECTMENU_TEMPLATE

    public static String SELECTMENU_TEMPLATE

#### PROGRESSBAR_VALUE_TEMPLATE

    public static String PROGRESSBAR_VALUE_TEMPLATE

#### PROGRESSBAR_TEMPLATE

    public static String PROGRESSBAR_TEMPLATE

### Constructor Detail

#### JQueryUiScript

    public JQueryUiScript()

#### JQueryUiScript

    public JQueryUiScript(org.apache.wicket.Component component)

#### JQueryUiScript

    public JQueryUiScript(String selector)

### Method Detail

#### button

    public JQueryUiScript button()

#### selectMenu

    public net.dontdrinkandroot.wicket.javascript.JQueryScript selectMenu()

#### progressBar

    public net.dontdrinkandroot.wicket.javascript.JQueryScript progressBar(Integer value)

#### progressBar

    public net.dontdrinkandroot.wicket.javascript.JQueryScript progressBar()

#### buttonset

    public net.dontdrinkandroot.wicket.javascript.JQueryScript buttonset()